<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Alert Demo</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console">
    </div>
    <script>
        var $console = $('#console')

        var initPageView = function() {
//            deleteTest();
            combinTest();
        }

        var test01 = function() {
            var obj = new Object();
            var appInfo = {
                "id": "1",
                "name": "Enoxs",
                "desc": "OwO"
            };
            obj['1'] = "OwO";
            obj['2'] = "OwO / ";
            obj['3'] = "OwO // ";
            $console.text(obj['1']);
            $console.append(" , ");
            $console.append(appInfo["name"])
        }
        var deleteTest = function() {
            var appInfo = {
                "id": "1",
                "name": "Enoxs",
                "desc": "OwO"
            };
            console.log(appInfo);
            delete appInfo.id;
            console.log(appInfo);
            $console.html('id : ' + appInfo.id + '<br>');
            $console.append('name : ' + appInfo.name + '<br>');
            $console.append('desc: ' + appInfo.desc);
        }
        
        var combinTest = function(){
            var appInfo01 = {
                id: "1",
            }
            var appInfo02 = {
                name: "Enoxs",
                desc: "OwO"
            }
            var obj = $.extend({},appInfo01,appInfo02);
            console.log(obj);
        }
        
        
        initPageView();

    </script>
</body>

</html>
